# Class TCefCustomStringMultimap

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFStringMultimap

## Declaration

`type TCefCustomStringMultimap = class(TInterfacedObject, ICefStringMultimap)`

## Description

CEF string multimaps are a set of key/value string pairs. More than one value can be assigned to a single key.

## Hierarchy

- TInterfacedObject
- TCefCustomStringMultimap

## Overview

### Fields

| `FHandle: TCefStringMultimap;`

### Methods

| `function GetHandle: TCefStringMultimap; virtual;`
| `function GetSize: NativeUInt; virtual;`
| `function FindCount(const Key: ustring): NativeUInt; virtual;`
| `function GetEnumerate(const Key: ustring; ValueIndex: NativeUInt): ustring; virtual;`
| `function GetKey(Index: NativeUInt): ustring; virtual;`
| `function GetValue(Index: NativeUInt): ustring; virtual;`
| `function Append(const Key, Value: ustring) : boolean; virtual;`
| `procedure Clear; virtual;`
| `constructor Create; virtual;`

## Description

### Fields

| `FHandle: TCefStringMultimap;`
This item has no description.

### Methods

| `function GetHandle: TCefStringMultimap; virtual;`
This item has no description.

| `function GetSize: NativeUInt; virtual;`
Return the number of elements in the string multimap.

| `function FindCount(const Key: ustring): NativeUInt; virtual;`
Return the number of values with the specified key.

| `function GetEnumerate(const Key: ustring; ValueIndex: NativeUInt): ustring; virtual;`
Return the value_index-th value with the specified key.

| `function GetKey(Index: NativeUInt): ustring; virtual;`
Return the key at the specified zero-based string multimap index.

| `function GetValue(Index: NativeUInt): ustring; virtual;`
Return the value at the specified zero-based string multimap index.

| `function Append(const Key, Value: ustring) : boolean; virtual;`
Append a new key/value pair at the end of the string multimap.

| `procedure Clear; virtual;`
Clear the string multimap.

| `constructor Create; virtual;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.